<template>
  <div class="sidebar-comp">
    <ControlItem controlName="Home" icon="logo" />
    <ControlItem controlName="Cards" icon="pay" class="active" />
    <ControlItem controlName="Payments" icon="payments" />
    <ControlItem controlName="Credit" icon="credit" />
    <ControlItem controlName="Profile" icon="account" />
  </div>
</template>

<script>
import ControlItem from '@/components/AsControlCard/ControlItem.vue';
export default {
  components: {
    ControlItem,
  },
};
</script>

<style lang="scss">
.sidebar-comp {
  background-color: $-white;
  box-shadow: 0 -3px 6px $-border-gray;
  padding: 0 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  .control-item {
    .as-icon {
      height: 24px;
    }
    &.active .control-item__name {
      color: $-green;
      font-weight: bold;
    }
  }
}
</style>
